:root {
  --accent-100-l: #5e00ff;
  --accent-80-l: #7e33ff;
  --text-dark-l: #11002e;
  --text-light-l: #b3b0b8;
  --bg-dark-l: #140431;
  --text-light-d: #8977aa;
  --accent-60-l: #9d65ff;
}

a {
  color: var(--accent-100-l);
  text-decoration: none;
  transition: color .2s;
  position: relative;
}

a:hover {
  color: var(--accent-80-l);
  text-decoration: none;
}

a:focus {
  color: var(--accent-80-l);
  text-decoration: underline;
}

.intro {
  filter: blur();
  margin-bottom: 128px;
}

.projects {
  padding-top: 96px;
  display: block;
}

.navigation {
  background-color: #0000;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 24px 48px;
  display: flex;
  position: relative;
}

.navigation-items {
  flex-wrap: nowrap;
  flex: 0 868px;
  place-content: flex-start space-between;
  align-items: center;
  height: 42px;
  display: flex;
}

.nav-button {
  background-color: var(--accent-100-l);
  color: #fff;
  cursor: pointer;
  border-radius: 4px;
  align-items: center;
  padding: 8px 16px 10px;
  font-size: 20px;
  font-weight: 700;
  line-height: 24px;
  transition: transform .2s, background-color .2s, box-shadow .2s;
  display: block;
  box-shadow: 0 4px 8px -4px #00000052;
}

.nav-button:hover {
  background-color: var(--accent-80-l);
  color: #fff;
  text-decoration: none;
  transform: translate(0, -2px);
  box-shadow: 0 6px 12px -4px #00000052;
}

.nav-button:active {
  transform: translate(0);
  box-shadow: 0 4px 8px -4px #00000052;
}

.nav-button:focus {
  color: #fff;
  text-decoration: none;
}

.body {
  color: var(--text-dark-l);
  font-family: Lato, sans-serif;
  font-size: 16px;
}

.navigation-home {
  direction: ltr;
  color: var(--accent-100-l);
  letter-spacing: normal;
  text-indent: 0;
  text-transform: uppercase;
  column-count: auto;
  white-space: normal;
  font-size: 24px;
  font-weight: 700;
  line-height: 30px;
  text-decoration: none;
}

.navigation-home:hover, .navigation-home:focus {
  text-decoration: none;
}

.container {
  flex-direction: column;
  padding-top: 0;
  padding-left: 48px;
  padding-right: 48px;
  display: block;
}

.heading {
  color: var(--text-light-l);
  text-align: center;
  text-transform: uppercase;
  font-size: 36px;
  line-height: 44px;
}

.delimiter-intro {
  background-color: var(--accent-100-l);
  border-radius: 2px;
  width: 32px;
  height: 4px;
  margin-top: 128px;
  margin-bottom: 32px;
  display: block;
  position: relative;
}

.delimiter-intro._404 {
  margin-top: 96px;
}

.heading-2 {
  white-space: normal;
  margin-top: 16px;
  margin-bottom: 16px;
  font-size: 36px;
  display: inline;
}

.subheading {
  font-size: 24px;
  font-weight: 700;
  line-height: 30px;
  overflow: hidden;
}

.rotated-box {
  background-color: var(--accent-100-l);
  height: 32px;
  overflow: visible;
  transform: rotate(-.5deg);
}

.container-subheading {
  padding: 96px 48px;
  transform: rotate(.5deg);
}

.coloured-box {
  background-color: var(--accent-100-l);
  margin-top: -16px;
  margin-bottom: -16px;
  padding-top: 0;
}

.coloured-box.rotated-box {
  border-radius: 0;
  width: 102%;
  height: auto;
  margin-top: 128px;
  margin-bottom: 128px;
  display: block;
  position: relative;
  left: -1%;
  transform: rotate(-.5deg);
  box-shadow: 0 4px 32px #0000001f;
}

.coloured-box.rotated-box.contact {
  background-color: var(--bg-dark-l);
  margin-top: 192px;
}

.paragraph {
  color: #fff;
}

.paragraph.say-hello {
  margin-top: 48px;
}

.paragraph.got-a-project {
  color: var(--text-light-d);
  margin-bottom: 4px;
  font-size: 20px;
  line-height: 24px;
}

.paragraph.contact {
  font-size: 36px;
  line-height: 44px;
}

.subheading-2 {
  font-size: 24px;
  font-weight: 700;
  line-height: 30px;
}

.paragraph-2 {
  text-align: left;
}

.subhead-illustration-left {
  opacity: .16;
  background-image: url('../images/subheading-illustration-left.svg');
  background-position: 100%;
  background-repeat: no-repeat;
  background-size: auto;
  background-attachment: scroll;
  flex: 0 auto;
  order: 0;
  width: 80px;
  position: absolute;
  inset: 0% auto 0% 0%;
  overflow: visible;
}

.subhead-illustration-right {
  opacity: .16;
  background-image: url('../images/subheading-illustration-right.svg');
  background-position: 100%;
  background-repeat: no-repeat;
  background-size: auto;
  background-attachment: scroll;
  flex: 0 auto;
  order: 0;
  width: 80px;
  position: absolute;
  inset: 0% 0% 0% auto;
  overflow: visible;
}

.contact {
  font-size: 24px;
  font-weight: 700;
  line-height: 30px;
  position: relative;
  overflow: hidden;
}

.contact.coloured-box.rotated-box {
  width: 102%;
  margin-bottom: 0;
  transition: opacity .2s;
  position: relative;
  left: -1%;
  overflow: hidden;
  box-shadow: 4px 0 32px #0000001f;
}

.link {
  color: var(--accent-60-l);
  transition: color .3s;
}

.link:hover {
  color: var(--accent-80-l);
}

.heading-3 {
  text-align: center;
  margin-top: 0;
  margin-bottom: 0;
  padding: 24px 24px 8px;
  font-size: 28px;
  line-height: 34px;
}

.heading-3:hover {
  text-decoration: none;
}

.project {
  cursor: pointer;
  border-radius: 16px;
  flex: 0 624px;
  margin-top: 48px;
  text-decoration: none;
  transition: box-shadow .2s, color .2s;
  overflow: hidden;
  box-shadow: 0 4px 24px -4px #00000029;
}

.project:hover {
  color: var(--accent-100-l);
  text-decoration: none;
  box-shadow: 0 6px 32px -4px #00000029;
}

.project:active {
  box-shadow: 0 4px 24px -4px #00000029;
}

.project:focus {
  text-decoration: none;
  box-shadow: 0 6px 32px -4px #00000029;
}

.project.project-demo-web, .project.project-demo-mobile {
  display: none;
}

.paragraph-3 {
  color: var(--text-light-l);
  text-align: center;
  margin-bottom: 0;
  padding-bottom: 32px;
  padding-left: 24px;
  padding-right: 24px;
  font-size: 20px;
  line-height: 24px;
}

.paragraph-3._404 {
  text-align: left;
  margin-bottom: 48px;
  padding-bottom: 0;
  padding-left: 0;
  padding-right: 0;
}

.paragraph-3.update {
  padding-top: 32px;
  display: none;
}

.project-title-overlay {
  box-shadow: 0 -2px 24px #0000000a;
}

.project-list {
  flex-wrap: wrap;
  place-content: flex-start center;
  display: flex;
}

.project-list.update {
  display: flex;
}

.project-image-container {
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  height: 240px;
  padding-top: 32px;
  padding-left: 24px;
  padding-right: 24px;
  display: flex;
  position: relative;
  overflow: hidden;
}

.container-contact {
  padding: 192px 48px 288px;
  transform: rotate(.5deg);
}

.footer-floor-fill {
  background-color: var(--bg-dark-l);
  height: 24px;
  margin-top: -24px;
}

.project-image-frame, .project-image-screen {
  position: absolute;
}

.project-image {
  justify-content: center;
  align-items: flex-start;
  width: 218px;
  height: 120%;
  display: flex;
  position: relative;
  overflow: hidden;
}

.rockets {
  background-image: url('../images/footer-desktop-rockets.svg');
  background-position: 50% 100%;
  background-repeat: no-repeat;
  background-size: auto;
  height: 120px;
  position: absolute;
  inset: auto 0% 0%;
  overflow: hidden;
}

.link-underline {
  background-color: #7e33ff52;
  border-radius: 1px;
  width: 102%;
  height: 0;
  margin-bottom: -2px;
  margin-left: -1%;
  position: absolute;
  inset: auto 0% 0%;
}

.outside-link-icon {
  background-image: url('../images/icon-outside-link.svg');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: auto 80%;
  width: 20px;
  margin-left: 6px;
  margin-right: 2px;
  display: inline-block;
  position: relative;
}

.utility-page-wrap {
  justify-content: center;
  align-items: center;
  width: 100vw;
  max-width: 100%;
  height: 100vh;
  max-height: 100%;
  display: flex;
}

.utility-page-content {
  text-align: center;
  flex-direction: column;
  width: 260px;
  display: flex;
}

.modal-wrapper {
  z-index: 2;
  background-color: #fff;
  border-radius: 32px;
  flex-direction: row;
  flex: 0 auto;
  order: 1;
  align-self: auto;
  align-items: flex-start;
  max-width: 770px;
  margin: 32px auto 96px;
  padding: 48px 96px 96px;
  position: relative;
  overflow: visible;
  box-shadow: 0 2px 32px #0000003d;
}

.modal-close-button {
  z-index: 99999;
  opacity: .32;
  cursor: pointer;
  background-image: url('../images/icon-close.svg');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: 32px 32px;
  background-attachment: scroll;
  flex: none;
  order: -1;
  align-self: auto;
  width: 32px;
  height: 32px;
  margin-top: -16px;
  margin-left: -64px;
  transition: transform .2s, opacity .2s;
  position: sticky;
  top: 24px;
}

.modal-close-button:hover {
  opacity: .48;
  transform: scale(1.1);
}

.modal-bg324 {
  z-index: 1;
  background-color: #00000080;
  flex: 1;
  grid-template-rows: auto auto;
  grid-template-columns: 1fr 1fr;
  grid-auto-columns: 1fr;
  align-self: stretch;
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  inset: 0%;
  overflow: hidden;
}

.modal-bg {
  z-index: 9999;
  background-color: #00000080;
  width: 100%;
  height: 100vh;
  padding-left: 16px;
  padding-right: 16px;
  position: fixed;
  inset: 0%;
  overflow: auto;
}

.modal-bg.project-1, .modal-bg.project-demo-web, .modal-bg.project-demo-mobile, .modal-bg.project-x, .modal-bg.project-2 {
  display: none;
}

.modal-content {
  margin-bottom: 32px;
  position: relative;
}

.project-heading {
  margin-top: 24px;
  margin-bottom: 8px;
  font-size: 36px;
  line-height: 44px;
}

.project-paragraph {
  margin-bottom: 12px;
  font-size: 20px;
  line-height: 24px;
}

.project-subheading {
  color: var(--text-light-l);
  letter-spacing: .05em;
  text-transform: uppercase;
  margin-top: 0;
  margin-bottom: 0;
  font-size: 16px;
  line-height: 20px;
  display: block;
}

.project-subheading.project-platforms {
  margin-right: 12px;
}

.project-subheading.project-platforms.uncapitalise {
  text-transform: none;
}

.project-platforms {
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  display: flex;
}

.project-delimiter {
  background-color: var(--accent-100-l);
  border-radius: 2px;
  width: 32px;
  height: 4px;
  margin-top: 48px;
  margin-bottom: 24px;
  position: relative;
}

.project-details {
  margin-top: 24px;
  margin-bottom: 24px;
}

.project-details-block {
  margin-top: 32px;
  margin-bottom: 32px;
}

.project-samples-section {
  margin-top: 64px;
}

.project-section-heading {
  margin-bottom: 32px;
  font-size: 28px;
  line-height: 34px;
}

.project-sample {
  grid-column-gap: 48px;
  grid-row-gap: 48px;
  flex-flow: wrap;
  grid-template-rows: auto auto;
  grid-template-columns: 1fr 1fr;
  grid-auto-columns: 1fr;
  place-content: stretch center;
  place-items: start center;
  width: auto;
  margin-top: 24px;
  margin-bottom: 24px;
  display: flex;
}

.project-image-placeholder {
  background-color: #f0f0f0;
  border-radius: 8px;
  width: 240px;
  margin-right: 24px;
}

.project-sample-delimiter {
  background-color: var(--text-light-l);
  opacity: .16;
  border-radius: 2px;
  width: 100%;
  height: 2px;
  margin-top: 32px;
  margin-bottom: 32px;
  position: relative;
}

.modal-footer {
  cursor: pointer;
  border-bottom-right-radius: 32px;
  border-bottom-left-radius: 32px;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 96px;
  display: flex;
  position: absolute;
  inset: auto 0% 0%;
  overflow: hidden;
}

.modal-go-back-button {
  opacity: .32;
  background-image: url('../images/icon-go-back.svg');
  background-position: 0%;
  background-repeat: no-repeat;
  background-size: 24px 24px;
  background-attachment: scroll;
  flex-wrap: wrap;
  place-content: center space-between;
  align-self: center;
  align-items: center;
  height: 24px;
  padding-left: 40px;
  font-size: 20px;
  font-weight: 700;
  line-height: 24px;
  display: block;
}

.modal-footer-underline {
  background-color: #f0f0f0;
  width: 100%;
  height: 0%;
  transition: transform .2s;
  position: absolute;
  inset: auto 0% 0%;
}

.section {
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  display: flex;
}

._404 {
  filter: blur();
}

.button-flex-wrapper {
  display: flex;
}

._404-image {
  background-image: url('../images/404.svg');
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 128px 128px;
  background-attachment: scroll;
  width: 128px;
  height: 128px;
  margin-top: 64px;
}

.utility-page-form {
  flex-direction: column;
  align-items: stretch;
  display: flex;
}

.photo-of-me {
  float: right;
  opacity: 0;
  flex: 0 auto;
  align-self: flex-end;
  margin: 16px -16px 16px 16px;
  display: inline-block;
}

.photo-of-me.mobile {
  display: none;
}

.div-block {
  display: inline;
}

.project-sample-image-mobile {
  border-radius: 12px;
  flex: 0 auto;
  width: 240px;
  min-width: 200px;
  margin-right: 24px;
  overflow: hidden;
  box-shadow: 0 4px 16px #0003;
}

.project-sample-image-wide {
  border-radius: 12px;
  flex: 0 auto;
  margin-right: 24px;
  overflow: hidden;
}

@media screen and (min-width: 1280px) {
  .navigation {
    justify-content: center;
  }

  .subhead-illustration-left {
    background-position: 0%;
    width: 160px;
  }

  .subhead-illustration-right {
    width: 160px;
  }
}

@media screen and (max-width: 991px) {
  .navigation {
    padding: 24px 48px;
  }

  .navigation-items {
    background-color: #fff;
    flex-basis: 640px;
  }

  .body {
    font-family: Lato, sans-serif;
  }

  .delimiter-intro {
    margin-top: 96px;
  }

  .subhead-illustration-left, .subhead-illustration-right {
    display: none;
  }

  .modal-wrapper {
    max-width: 720px;
  }

  .project-image-placeholder, .project-sample-image-mobile, .project-sample-image-wide {
    margin-right: 24px;
  }
}

@media screen and (max-width: 767px) {
  .navigation {
    padding: 24px 32px 24px 48px;
  }

  .navigation-items {
    height: 36px;
  }

  .nav-button {
    padding: 6px 12px 8px;
    font-size: 16px;
    line-height: 20px;
  }

  .navigation-home {
    font-size: 20px;
    line-height: 24px;
  }

  .container {
    padding-top: 0;
  }

  .heading {
    font-size: 24px;
    line-height: 30px;
  }

  .delimiter-intro {
    margin-top: 96px;
    display: block;
  }

  .delimiter-intro._404 {
    margin-top: 64px;
  }

  .heading-2 {
    font-size: 24px;
    line-height: 30px;
    display: block;
  }

  .paragraph {
    font-size: 20px;
    line-height: 24px;
  }

  .paragraph.got-a-project {
    font-size: 16px;
    line-height: 20px;
  }

  .paragraph.contact {
    font-size: 24px;
    line-height: 30px;
  }

  .paragraph-2 {
    font-size: 20px;
    line-height: 24px;
  }

  .heading-3 {
    font-size: 24px;
    line-height: 30px;
  }

  .project {
    overflow: visible;
  }

  .paragraph-3 {
    font-size: 16px;
    line-height: 20px;
  }

  .project-image-container {
    height: 180px;
  }

  .container-contact {
    padding-top: 128px;
    padding-bottom: 192px;
  }

  .project-image {
    width: 168px;
  }

  .rockets {
    background-size: auto 85%;
  }

  .outside-link-icon {
    width: 16px;
    margin-left: 4px;
    margin-right: 0;
  }

  .modal-wrapper {
    padding-left: 64px;
    padding-right: 64px;
  }

  .modal-close-button {
    margin-left: -48px;
    top: 16px;
  }

  .project-heading {
    font-size: 32px;
    line-height: 30px;
  }

  .project-paragraph {
    margin-top: 0;
    margin-bottom: 8px;
    font-size: 16px;
    line-height: 20px;
  }

  .project-subheading {
    font-size: 14px;
  }

  .project-section-heading {
    font-size: 24px;
    line-height: 30px;
  }

  .project-image-placeholder {
    align-self: center;
    margin-bottom: 16px;
    margin-right: 0;
  }

  ._404-image {
    background-size: 96px 96px;
    width: 96px;
    height: 96px;
    margin-top: 48px;
  }

  .photo-of-me {
    margin-top: 24px;
    margin-right: -128px;
    display: none;
  }

  .photo-of-me.mobile {
    margin-bottom: 32px;
    margin-left: 16px;
    margin-right: -68px;
    display: inline-block;
  }

  .project-sample-image-mobile, .project-sample-image-wide {
    margin-bottom: 16px;
    margin-right: 0;
  }
}

@media screen and (max-width: 479px) {
  .navigation {
    padding-left: 48px;
    padding-right: 24px;
  }

  .navigation-items {
    height: 32px;
  }

  .nav-button {
    white-space: nowrap;
    padding-top: 6px;
    padding-bottom: 7px;
    font-size: 14px;
    line-height: 18px;
  }

  .navigation-home {
    white-space: normal;
    font-size: 16px;
    line-height: 20px;
  }

  .delimiter-intro {
    clear: both;
  }

  .delimiter-intro._404 {
    margin-top: 64px;
  }

  .coloured-box.rotated-box.contact {
    width: 108%;
    left: -4%;
  }

  .paragraph.say-hello.contact {
    overflow: visible;
  }

  .project-image-container {
    padding-top: 24px;
  }

  .container-contact {
    padding-left: 56px;
    padding-right: 56px;
  }

  .rockets {
    background-image: url('../images/footer-mobile-rocket.svg');
    background-position: 100% 100%;
  }

  .modal-wrapper {
    border-radius: 24px;
    margin-bottom: 128px;
    padding-left: 48px;
    padding-right: 48px;
  }

  .modal-close-button {
    background-image: url('../images/icon-close-mobile.svg');
    background-size: 24px 24px;
    width: 24px;
    height: 24px;
    margin-top: -32px;
    margin-left: -36px;
  }

  .modal-bg {
    padding-left: 0;
    padding-right: 0;
  }

  .modal-footer {
    border-bottom-right-radius: 24px;
    border-bottom-left-radius: 24px;
  }

  ._404-image {
    background-size: 64px 64px;
    width: 64px;
    height: 64px;
    margin-top: 32px;
  }

  .photo-of-me {
    margin-bottom: 32px;
    margin-left: auto;
    margin-right: -48px;
    display: none;
  }

  .photo-of-me.mobile {
    margin-bottom: 48px;
    margin-right: -48px;
  }
}


